[tool.poetry]
name = "fw-gear-skeleton"
version = "0.3.0"
description = "{{description}}"
authors = ["Flywheel <support@flywheel.io>"]
readme = "README.md"
license = "MIT"
keywords = [
    "Flywheel",
    "Gears"
]
repository = "https://gitlab.com/flywheel-io/flywheel-apps/templates/skeleton"
classifiers = [
    "Topic :: Scientific/Engineering"
]

[tool.poetry.dependencies]
python = "^3.8"
flywheel-gear-toolkit = "^0.6"
flywheel-sdk = "^18"

[tool.poetry.group.dev.dependencies]
pytest = "^6.1.2"
pytest-cov = "^3.0.0"
pytest-mock = "^3.8.2"


[tool.ruff]
lint.ignore-init-module-imports = true

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.core.masonry.api"
